Show / Hide Table of Contents

# Class OpenIddictMongoDbContext

Exposes the MongoDB database used by the OpenIddict stores.

##### Inheritance

System.Object
OpenIddictMongoDbContext

##### Implements

IOpenIddictMongoDbContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.MongoDb

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictMongoDbContext : IOpenIddictMongoDbContext

### Constructors

#### OpenIddictMongoDbContext(IOptionsMonitor<OpenIddictMongoDbOptions>, IServiceProvider)

##### Declaration

    public OpenIddictMongoDbContext(IOptionsMonitor<OpenIddictMongoDbOptions> options, IServiceProvider provider)

##### Parameters

Type | Name | Description
--- | --- | ---
IOptionsMonitor<OpenIddictMongoDbOptions> | options |
System.IServiceProvider | provider |

### Methods

#### GetDatabaseAsync(CancellationToken)

Gets the .

##### Declaration

    public ValueTask<IMongoDatabase> GetDatabaseAsync(CancellationToken cancellationToken)

##### Parameters

Type | Name | Description
--- | --- | ---
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
ValueTask<IMongoDatabase> | A that can be used to monitor the asynchronous operation, whose result returns the MongoDB database.

### Implements

IOpenIddictMongoDbContext